Subject: Re: Failed to clone http://repo.or.cz/w/msysgit.git

From: Abdelrazak Younes <[email-masked]>
Date: Mon, 17 Dec 2007 18:40:04 +0100

Johannes Schindelin wrote:
> Hi,
> 
> [please do not cull me from the Cc: list when you reply to me.  This is 
>  like replying to me, but talking away from me (to the public).]

Sorry, I am afraid I cannot do that right now because I use the gmane 
news interface and I don't have access to my smtp from here. If it is 
too irritating I'll wait up until I go back home before I answer. In any 
case, sorry for the inconvenience.

> 
> On Mon, 17 Dec 2007, Abdelrazak Younes wrote:
> 
>> Johannes Schindelin wrote:
>>> On Mon, 17 Dec 2007, Abdelrazak Younes wrote:
>>>
>>>> I am trying to clone the msysgit repository but I get this error:
>>>>
>>>> $ git clone http://repo.or.cz/w/msysgit.git
>>>> Initialized empty Git repository in d:/devel/git/msysgit/.git/
>>>> D:/program/Git/bin/git-clone: line 144: /bin/git-http-fetch: Bad file
>>>> number
> 
> Okay, I get the same error here.  Fishy.  But then, this is not the 
> correct URL either (so I think Peff's patch probably fixes it).
> 
> What you tried is the gitweb URL, which explicitely says
> 
> 	Mirror URL	git://repo.or.cz/msysgit.git
> 
> 			http://repo.or.cz/r/msysgit.git
> 
> IOW replace your "/w/" by "/r/" and have fun,

Yes, it works! Thanks and sorry for the mixup, I just copied and pasted 
the link without thinking.

Abdel.